Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Class ApplicationState

    java.lang.Object
      org.apache.cassandra.gms.ApplicationState

All Implemented Interfaces:
  java.lang.Comparable<ApplicationState>

    public class ApplicationState

extends java.lang.Object
implements java.lang.Comparable<ApplicationState>

This abstraction represents the state associated with a particular node which an application wants to make available to the rest of the nodes in the cluster. Whenever a piece of state needs to be disseminated to the rest of cluster wrap the state in an instance of ApplicationState and add it to the Gossiper. e.g. if we want to disseminate load information for node A do the following: ApplicationState loadState = new ApplicationState(); Gossiper.instance.addApplicationState("LOAD STATE", loadState);

Constructor Summary
`ApplicationState(java.lang.String state)` Wraps the specified state into a ApplicationState instance.

Method Summary
`int` | `compareTo(ApplicationState apState)`
`java.lang.String` | `getValue()`
`static ICompactSerializer<ApplicationState>` | `serializer()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationState

    public ApplicationState(java.lang.String state)

  Wraps the specified state into a ApplicationState instance.

  Parameters:
    `state` - string representation of arbitrary state.

Method Detail

### serializer

    public static ICompactSerializer<ApplicationState> serializer()

### getValue

    public java.lang.String getValue()

### compareTo

    public int compareTo(ApplicationState apState)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ApplicationState>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation